{config, ...}: {
  services.adguardhome = {
    enable = true;
    openFirewall = true;
    settings = {
      dns = {
        port = config.m3ta.ports.get "adguardhome";
        upstream_dns = [
          "1.1.1.1"
          "8.8.8.8"
        ];
      };
      filtering = {
        rewrites = [
          {
            domain = "*.l.m3tam3re.com";
            answer = "192.168.178.210";
          }
        ];
      };
    };
  };
  networking.firewall.allowedTCPPorts = [(config.m3ta.ports.get "adguardhome")];
  networking.firewall.allowedUDPPorts = [(config.m3ta.ports.get "adguardhome")];
}
